oEmbed

You can retrieve the embed HTML and associated metadata of public Threads posts.

GET /oembed?url=...

Retrieve the embed HTML of a public Threads post. See Embed a Threads Post for more information.

With standard access, only posts from official Meta accounts can be embedded. These include @meta, @threads, @instagram, and @facebook. Advanced access is required to embed other public Threads posts.

Parameters

NameDescription

access_token

string

Required.
Threads Graph API app access token.

Another way to make calls to the Threads API on behalf of an app without using a generated app access token, you can pass your app ID and app secret as the access_token parameter using the format: TH|<APP_ID>|<APP_SECRET>.

url

string

Required.
The permalink of the post. Accepts the format:

https://www.threads.net/@{username}/post/{media-shortcode}/

maxwidth

int64

Optional.
Maximum width of returned media. Must be between 320 and 658. Note: The maxheight parameter is not supported because the embed code is responsive and its height varies depending on its width.

Fields

NameDescription

html

string

The HTML used to display the post.

provider_name

string

Name of the provider (Threads).

provider_url

string

URL of the provider (https://www.threads.net/).

type

string

The oEmbed resource type. See https://oembed.com/.

version

string

Always 1.0. See https://oembed.com/.

width

int32

The width in pixels required to display the HTML.